Skip to main content
POST
/
notifications
/
{notification_guid}
/
deliverables
Create deliverable
curl --request POST \
  --url https://int-data.moneydesktop.com/notifications/{notification_guid}/deliverables \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '{}'
{
  "deliverable_notification": {
    "guid": "DNF-7aa13bdb-2866-ba38-b326-d9fb32268f9b",
    "channel": 1,
    "channel_name": "EMAIL",
    "content": "<html>...</html>",
    "has_been_delivered": false,
    "delivered_at": null,
    "delivered_on": null
  }
}
Creating a deliverable resource for a notification will place that deliverable in a queue to be delivered on a specific channel. As such, each deliverable should have its content tailored for that particular channel (e.g., HTML email). Deliverables are not guaranteed to be delivered. Zero or one deliverable per channel is acceptable.

Providing an unknown channel type will result in a 400 Bad Request response status.

Each channel has its own data dependency requirements. These requirements will not be enforced by the API, but may cause failure to deliver your notification to the user if not met.
  • Email deliverables require the user having an email address configured and verified by the user.
  • Push deliverables require the user having paired one or more mobile devices to receive notifications.
  • SMS deliverables require the user having a phone number configured and verified by the user.

In-app deliverables are immediately available to the user the next time they login. Delivery of other deliverable content is scheduled as opposed to real-time.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

notification_guid
string
required

The unique identifier for the notification. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
deliverable
object

Response

200 - application/vnd.mx.nexus.v1+json

OK

deliverable_notification
object